<template>
  <div>
    <div class="row">
      <div class="col-6 col-md-6">
        <div class="form-group">
          <div class="card bg-danger">
            <label for>Nombre</label>
            <input
              v-model="nombre"
              type="text"
              name
              id
              class="form-control"
              placeholder
              aria-describedby="helpId"
            />
          </div>

          <div class="form-group">
            <div class="card bg-danger">
              <label for>Cedula</label>
              <input
                v-model="cedula"
                type="text"
                name
                id
                class="form-control"
                placeholder
                aria-describedby="helpId"
              />
            </div>
            <div class="form-group">
              <div class="card bg-danger">
                <label for>Facultad</label>
                <select v-model="facultad" class="form-control" name id>
                  <option value selected>selecciona una facultad</option>
                  <option value="sistemas">Sistemas</option>
                  <option value="derecho">Derecho</option>
                  <option value="medicina">Medicina</option>
                </select>
              </div>
            </div>
            <div class="form-group">
              <div class="card bg-danger">
                <label for>Sexo</label>
                <select v-model="sexo" class="form-control" name id>
                  <option value selected>seleccione sexo</option>
                  <option>Masculino</option>
                  <option>Femenino</option>
                </select>
              </div>
            </div>
            <div class="form-group">
              <div class="card bg-danger">
                <label for>Numero Computadora</label>
                <input v-model="numero_computadora" type="number" class="form-control" />
              </div>
            </div>
            <button class="btn btn-info" v-on:click="agregar">Agregar</button>
          </div>
        </div>
      </div>

      <div class="col-6 col-md-6">
        <div class="card bg-success">
          <tabla :estudiante="estudiante"/>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Tabla from './tabla.vue'
export default {
  name: "formulario",
  components: {
    Tabla
  },
  data() {
    return {
      nombre: "",
      cedula: "",
      facultad: "",
      sexo: "",
      numero_computadora: "",
      estudiante: [
        {
          nombre: "",
          cedula: "",
          facultad: "",
          sexo: "",
          numero_computadora: ""
        }
      ]
    };
  },
  methods: {
    agregar() {
      this.estudiante.push({
        nombre: this.nombre,
        cedula: this.cedula,
        facultad: this.facultad,
        sexo: this.sexo,
        numero_computadora: this.numero_computadora
      });
      console.log(this.estudiante);
    }
  }
};
</script>

